﻿#Setting 
$ScriptFile = $MyInvocation.MyCommand.Name 
$ScriptLocation  = Split-Path $MyInvocation.MyCommand.Path -Parent
$Path = "C:\MDTRollout"

$TaskSequenceName = "MDT Task Sequence: $TSEnv:TaskSequenceName"
$DeploymentType = "Deployment Type: $TSEnv:DeploymentType"
$JoinDomain = "Domain: $TSEnv:JoinDomain"
$JoinWorkgroup = "Workgroup: $TSEnv:JoinWorkgroup"
$OSDComputerName = Gwmi Win32_ComputerSystem | Select Caption
$OSDComputerName = $OSDComputerName.Caption
$OSDComputerName = "ComputerName: $OSDComputerName"
$MachineObjectOU = "Organizational Unit: $TSEnv:MachineObjectOU"
$Make = "Manufacturer: $TSEnv:Make"
$Model = "Model: $TSEnv:Model"
$AssetTag = "AssetTag: $TSEnv:AssetTag"
$SerialNumber = "SerialNumber: $TSEnv:SerialNumber"

$Language = "Present Windows Languages: $TSEnv:ImageLanguage001, $TSEnv:ImageLanguage002, $TSEnv:ImageLanguage003, $TSEnv:ImageLanguage004"
$Version = Gwmi Win32_Operatingsystem | Select Caption
$Version = $Version.Caption
$Version = "Windows Operating System: $Version"
$Architecture = "Windows Platform Architecture: $TSEnv:Architecture"

$BDE = "Bitlocker Enbled: $TSEnv:IsBDE"
$BDEKey = (Get-BitLockerVolume -MountPoint C).KeyProtector.RecoveryPassword
$BDEKey = "Bitlocker Recovery Key: $BDEKey"

$Date = Get-Date
$Date = "Deployment Date: $Date"

$Text = @"
==================================================
!!! Deployment Information !!!
$TaskSequenceName
$DeploymentType
$OSDComputerName
$JoinDomain
$JoinWorkgroup
$MachineObjectOU
$Date

!!! Hardware Information !!!
$Make
$Model
$AssetTag
$SerialNumber
$Language
$Version
$Architecture

!!! Miscellaneous Information !!!
$BDE
$BDEKey

End of Information
==================================================
"@

If (-NOT (Test-Path $Path )) {
MD $Path ; Set-ItemProperty -Path $Path -Name Attributes -Value ([System.IO.FileAttributes]::Hidden) -Force
}

If ( (Test-Path "$Path\DeploymentInfo.txt" )) {
$Text | Add-Content "$Path\DeploymentInfo.txt"
}

If (-NOT (Test-Path "$Path\DeploymentInfo.txt" )) {
$Text | Out-File -Filepath "$Path\DeploymentInfo.txt"
}